/*
    A basic extension of the java.awt.Frame class
 */

import java.awt.*;
import java.util.*;

public class DataFrame extends Frame {
	void buttonShowData_Clicked(Event event) {
		//{{CONNECTION
		// Set the text for TextArea...
		ShowData(Integer.parseInt(FromField.getText()), Integer.parseInt(ToField.getText()));
		//}}
	}

    public void appendText(String s){
        textDataArea.appendText(s);
    }
    
    public void setData(Vector V[], int tbl_no){
        Data = new Vector[tbl_no];
        table_no = tbl_no;
/*
	    for(i = 0; i< DB.table_no; i++){
		    result[i] = new Vector();
	    }
*/
        Data = V;
    }

    void ShowData(int form, int to){
        int i,j;
        //textDataArea.selectAll();
        textDataArea.setText("");
        for(i= form ; i < to && i < 1000 ; i++){
		        String line = Integer.toString(i) + ": ";
	            for(j = 0; j < table_no; j++){
		                line = line + Data[j].elementAt(i)+":";
	            }
	        line = line +"\n";
	        textDataArea.appendText(line);
	  }
    }

	public DataFrame() {

		//{{INIT_CONTROLS
		setLayout(null);
		addNotify();
		resize(insets().left + insets().right + 360,insets().top + insets().bottom + 413);
		buttonShowData = new java.awt.Button("Show Data");
		buttonShowData.reshape(insets().left + 192,insets().top + 36,108,36);
		buttonShowData.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(buttonShowData);
		FromField = new java.awt.TextField();
		FromField.setText("0");
		FromField.reshape(insets().left + 84,insets().top + 12,97,36);
		FromField.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(FromField);
		ToField = new java.awt.TextField();
		ToField.setText("1000");
		ToField.reshape(insets().left + 84,insets().top + 48,97,36);
		ToField.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(ToField);
		label1 = new java.awt.Label("From:",Label.RIGHT);
		label1.reshape(insets().left + 12,insets().top + 12,73,36);
		label1.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(label1);
		label2 = new java.awt.Label("To:",Label.RIGHT);
		label2.reshape(insets().left + 12,insets().top + 48,73,36);
		label2.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(label2);
		textDataArea = new java.awt.TextArea();
		textDataArea.reshape(insets().left + 12,insets().top + 96,324,300);
		textDataArea.setFont(new Font("Dialog", Font.PLAIN, 14));
		add(textDataArea);
		setTitle("Untitled");
		setResizable(false);
		//}}

		//{{INIT_MENUS
		//}}
	}

	public DataFrame(String title) {
	    this();
	    setTitle(title);
	}

    public synchronized void show() {
    	move(50, 50);
    	super.show();
    }

	public boolean handleEvent(Event event) {
    	if (event.id == Event.WINDOW_DESTROY) {
            hide();         // hide the Frame
            return true;
    	}
		if (event.target == buttonShowData && event.id == Event.ACTION_EVENT) {
			buttonShowData_Clicked(event);
			return true;
		}
		return super.handleEvent(event);
	}

	//{{DECLARE_CONTROLS
	java.awt.Button buttonShowData;
	java.awt.TextField FromField;
	java.awt.TextField ToField;
	java.awt.Label label1;
	java.awt.Label label2;
	java.awt.TextArea textDataArea;
	//}}

	//{{DECLARE_MENUS
	//}}
	Vector Data[];
	int table_no;
}
